Bug 1729910 - dnf --best wants to downgrade packages
Summary: dnf --best wants to downgrade packages
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jaroslav Mracek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-15 09:56 UTC by Zbigniew Jędrzejewski-Szmek
Modified: 2019-09-27 17:21 UTC (History)
9 users (show)

Fixed In Version: dnf-4.2.9-3.fc32, dnf-4.2.9-3.fc31, dnf-4.2.8-2.fc30, dnf-4.2.5-5.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-27 17:21:45 UTC


Attachments (Terms of Use)

Description Zbigniew Jędrzejewski-Szmek 2019-07-15 09:56:03 UTC
Description of problem:
On a rawide machine with python3.8 copr enabled (https://copr.fedorainfracloud.org/coprs/g/python/python3.8/):

$ sudo dnf install --best meson
Last metadata expiration check: 0:38:58 ago on Mon Jul 15 10:30:25 2019.
Dependencies resolved.
=======================================================================================
 Package                        Arch   Version                           Repo     Size
=======================================================================================
Installing:
 meson                          noarch 0.51.1-1.module_f31+4989+5f9b659a rawhide-modular
                                                                                 832 k
Upgrading:
 bodhi-client                   noarch 4.0.2-2.fc31                      rawhide  25 k
 python3-bodhi                  noarch 4.0.2-2.fc31                      rawhide  24 k
 python3-bodhi-client           noarch 4.0.2-2.fc31                      rawhide  57 k
Reinstalling:
 python3-GitPython              noarch 2.1.11-3.fc31                     group_python-python3.8
                                                                                 533 k
 fedpkg                         noarch 1.37-2.fc31                       rawhide  84 k
 gdb-headless                   x86_64 8.3.50.20190702-19.fc31           rawhide 3.7 M
 gobject-introspection-devel    x86_64 1.60.1-3.fc31                     rawhide 1.2 M
 mock                           noarch 1.4.16-2.fc31                     rawhide 168 k
 mpich                          x86_64 3.2.1-12.fc31                     rawhide 1.2 M
 python3-Bottleneck             x86_64 1.2.1-9.fc31                      rawhide 128 k
 python3-Cython                 x86_64 0.29.11-1.fc31                    rawhide 2.3 M
 python3-apipkg                 noarch 1.5-2.fc31                        rawhide  19 k
 python3-attrs                  noarch 19.1.0-1.fc31                     rawhide  62 k
 python3-babel                  noarch 2.7.0-1.fc31                      rawhide 5.9 M
 python3-cairo                  x86_64 1.18.1-1.fc31                     rawhide  88 k
 python3-cccolutils             x86_64 1.5-11.fc31                       rawhide  20 k
 python3-cffi                   x86_64 1.12.2-1.fc31                     rawhide 235 k
 python3-cpuinfo                noarch 5.0.0-1.fc31                      rawhide  44 k
 python3-cryptography           x86_64 2.6.1-1.fc31                      rawhide 518 k
 python3-dnf                    noarch 4.2.7-1.fc31                      rawhide 397 k
 python3-dnf-plugins-core       noarch 4.0.7-1.fc31                      rawhide 155 k
 python3-execnet                noarch 1.6.0-1.fc31                      rawhide 340 k
 python3-future                 noarch 0.17.1-0.1.20190313gitc423752.fc31
                                                                         rawhide 783 k
 python3-gitdb                  noarch 2.0.3-6.fc31                      rawhide 110 k
 python3-gobject-base           x86_64 3.32.2-1.fc31                     rawhide 319 k
 python3-gpg                    x86_64 1.12.0-2.fc31                     rawhide 236 k
 python3-h5py                   x86_64 2.9.0-4.fc31                      rawhide 1.0 M
 python3-hawkey                 x86_64 0.35.1-1.fc31                     rawhide  98 k
 python3-hyperlink              noarch 19.0.0-1.fc31                     rawhide  75 k
 python3-idna                   noarch 2.8-1.fc31                        rawhide  83 k
 python3-imagesize              noarch 1.0.0-5.fc31                      rawhide  15 k
 python3-jinja2                 noarch 2.10.1-1.fc31                     rawhide 520 k
 python3-kitchen                noarch 1.2.6-1.fc31                      rawhide  90 k
 python3-kiwisolver             x86_64 1.1.0-1.fc31                      rawhide  77 k
 python3-koji                   noarch 1.17.0-7.fc31                     rawhide 309 k
 python3-libcomps               x86_64 0.1.11-1.fc31                     rawhide  44 k
 python3-libdnf                 x86_64 0.35.1-1.fc31                     rawhide 728 k
 python3-librepo                x86_64 1.10.2-2.fc31                     rawhide  48 k
 python3-magic                  noarch 5.37-2.fc31                       rawhide  19 k
 python3-mako                   noarch 1.0.12-1.fc31                     rawhide 149 k
 python3-markupsafe             x86_64 1.1.1-1.fc31                      rawhide  30 k
 python3-matplotlib             x86_64 3.0.3-2.fc31                      rawhide 2.8 M
 python3-matplotlib-tk          x86_64 3.0.3-2.fc31                      rawhide  48 k
 python3-more-itertools         noarch 7.0.0-1.fc31                      rawhide  55 k
 python3-numexpr                x86_64 2.6.6-3.fc31                      rawhide 196 k
 python3-numpy                  x86_64 1:1.16.4-2.fc31                   rawhide 3.5 M
 python3-numpy-f2py             x86_64 1:1.16.4-2.fc31                   rawhide 209 k
 python3-pandas                 x86_64 0.24.1-3.fc31                     rawhide  11 M
 python3-pbr                    noarch 5.1.2-3.fc31                      rawhide 1.1 M
 python3-pluggy                 noarch 0.12.0-1.fc31                     rawhide  39 k
 python3-psutil                 x86_64 5.6.3-1.fc31                      rawhide 390 k
 python3-py                     noarch 1.8.0-1.fc31                      rawhide 453 k
 python3-pygments               noarch 2.4.2-1.fc31                      rawhide 1.7 M
 python3-pyparsing              noarch 2.4.0-1.fc31                      rawhide 142 k
 python3-pyroute2               noarch 0.5.3-3.fc31                      rawhide 492 k
 python3-pysocks                noarch 1.7.0-1.fc31                      rawhide  34 k
 python3-pytest                 noarch 4.4.1-2.fc31                      rawhide 1.6 M
 python3-pytest-arraydiff       noarch 0.3-1.fc31                        rawhide  22 k
 python3-pytest-astropy         noarch 0.5.0-1.fc31                      rawhide  12 k
 python3-pytest-doctestplus     noarch 0.3.0-1.fc31                      rawhide  30 k
 python3-pytest-forked          noarch 1.0.2-1.fc31                      rawhide  16 k
 python3-pytest-openfiles       noarch 0.3.2-1.fc31                      rawhide  17 k
 python3-pytest-remotedata      noarch 0.3.1-1.fc31                      rawhide  21 k
 python3-pytest-timeout         noarch 1.3.3-3.fc31                      rawhide  23 k
 python3-pytest-xdist           noarch 1.29.0-1.fc31                     rawhide  70 k
 python3-pytz                   noarch 2018.9-1.fc31                     rawhide  48 k
 python3-pyyaml                 x86_64 5.1.1-1.fc31                      rawhide 204 k
 python3-requests               noarch 2.22.0-2.fc31                     rawhide 115 k
 python3-rpkg                   noarch 1.58-5.fc31                       rawhide 164 k
 python3-rpm                    x86_64 4.15.0-0.beta.1.fc31              rawhide  90 k
 python3-setuptools             noarch 41.0.1-2.fc31                     rawhide 637 k
 python3-smmap                  noarch 2.0.3-6.fc31                      rawhide  47 k
 python3-snowballstemmer        noarch 1.2.1-10.fc31                     rawhide 104 k
 python3-sphinx                 noarch 1:2.1.2-1.fc31                    rawhide 2.0 M
 python3-sphinx-theme-alabaster noarch 0.7.12-4.fc31                     rawhide  24 k
 python3-sphinxcontrib-applehelp
                                noarch 1.0.1-1.fc31                      rawhide  33 k
 python3-sphinxcontrib-devhelp  noarch 1.0.1-1.fc31                      rawhide  28 k
 python3-sphinxcontrib-htmlhelp noarch 1.0.1-1.fc31                      rawhide  35 k
 python3-sphinxcontrib-jsmath   noarch 1.0.1-1.fc31                      rawhide  15 k
 python3-sphinxcontrib-qthelp   noarch 1.0.2-1.fc31                      rawhide  32 k
 python3-sphinxcontrib-serializinghtml
                                noarch 1.1.3-1.fc31                      rawhide  30 k
 python3-stomper                noarch 0.4.3-1.fc31                      rawhide  49 k
 python3-tables                 x86_64 3.5.2-3.fc31                      rawhide 1.3 M
 python3-typed_ast              x86_64 1.4.0-1.fc31                      rawhide 180 k
 python3-urllib3                noarch 1.25.3-3.fc31                     rawhide 203 k
 python3-wrapt                  x86_64 1.11.2-1.fc31                     rawhide  52 k
Installing dependencies:
 python3-importlib-metadata     noarch 0.18-1.fc31                       rawhide  38 k
 python3-zipp                   noarch 0.5.1-1.fc31                      rawhide  13 k
Downgrading:
 autojump                       noarch 22.5.1-5.fc30                     rawhide  38 k
 python3                        x86_64 3.7.4~rc2-1.fc31                  rawhide  37 k
 python3-asn1crypto             noarch 0.24.0-6.fc30                     rawhide 180 k
 python3-astroid                noarch 2.2.5-2.fc31                      rawhide 301 k
 python3-atomicwrites           noarch 1.3.0-1.fc30                      rawhide  22 k
 python3-beautifulsoup4         noarch 4.6.3-2.fc30                      rawhide 182 k
 python3-bugzilla               noarch 2.2.0-3.fc30                      rawhide  89 k
 python3-chardet                noarch 3.0.4-9.fc30                      rawhide 191 k
 python3-click                  noarch 7.0-3.fc30                        rawhide 146 k
 python3-configobj              noarch 5.0.6-15.fc30                     rawhide  63 k
 python3-cycler                 noarch 0.10.0-9.fc30                     rawhide  19 k
 python3-dateutil               noarch 1:2.8.0-1.fc30                    rawhide 290 k
 python3-devel                  x86_64 3.7.4~rc2-1.fc31                  rawhide 203 k
 python3-distro                 noarch 1.4.0-1.fc30                      rawhide  35 k
 python3-docutils               noarch 0.14-6.fc30                       rawhide 1.6 M
 python3-enchant                noarch 2.0.0-7.fc30                      rawhide 107 k
 python3-fedora                 noarch 0.10.0-8.fc30                     rawhide 332 k
 python3-kerberos               x86_64 1.3.0-4.fc30                      rawhide  30 k
 python3-lazy-object-proxy      x86_64 1.3.1-9.fc30                      rawhide  32 k
 python3-libs                   x86_64 3.7.4~rc2-1.fc31                  rawhide 7.3 M
 python3-lockfile               noarch 1:0.11.0-13.fc30                  rawhide  35 k
 python3-lxml                   x86_64 4.2.5-2.fc30                      rawhide 1.4 M
 python3-mock                   noarch 2.0.0-13.fc30                     rawhide 130 k
 python3-munch                  noarch 2.3.2-3.fc30                      rawhide  21 k
 python3-nose                   noarch 1.3.7-22.fc30                     rawhide 261 k
 python3-openidc-client         noarch 0.6.0-4.20180605gitcd8d91c.fc30   rawhide  24 k
 python3-packaging              noarch 19.0-1.fc30                       rawhide  49 k
 python3-pip                    noarch 19.1.1-1.fc31                     rawhide 1.8 M
 python3-ply                    noarch 3.11-2.fc30                       rawhide 107 k
 python3-pyOpenSSL              noarch 19.0.0-1.fc30                     rawhide  95 k
 python3-pycparser              noarch 2.14-18.fc31                      rawhide 146 k
 python3-pycurl                 x86_64 7.43.0.2-6.fc30                   rawhide 218 k
 python3-pytest-runner          noarch 4.0-4.fc30                        rawhide  18 k
 python3-pyusb                  noarch 1.0.2-2.fc30                      rawhide  85 k
 python3-requests-kerberos      noarch 0.12.0-5.fc30                     rawhide  26 k
 python3-scipy                  x86_64 1.2.1-2.fc31                      rawhide  15 M
 python3-six                    noarch 1.12.0-1.fc30                     rawhide  35 k
 python3-tkinter                x86_64 3.7.4~rc2-1.fc31                  rawhide 322 k
 python3-yubico                 noarch 1.3.2-13.fc30                     rawhide  61 k
 unbound-libs                   x86_64 1.8.3-4.fc30                      rawhide 465 k

Transaction Summary
=======================================================================================
Install     3 Packages
Upgrade     3 Packages
Downgrade  40 Packages

/usr/lib/python3.8/site-packages/dnf/package.py:57: DeprecationWarning: PY_SSIZE_T_CLEAN will be required for '#' formats
  return super(Package, self).chksum

Total download size: 83 M
Is this ok [y/N]: 

Version-Release number of selected component (if applicable):
dnf-4.2.7-1.fc31.noarch
python3-3.8.0~b2-1.fc31.x86_64
rpm-4.15.0-0.beta.1.fc31.x86_64

The issue here is most likely that bodhi has dependencies on older version of python3 (https://bugzilla.redhat.com/show_bug.cgi?id=1728055).
This doesn't explain why dnf wants to downgrade so many packages, completely ignoring --best.

If I try to upgrade just python3-bodhi, dnf refuses:
$ sudo dnf upgrade python3-bodhi --best
Last metadata expiration check: 1:20:30 ago on Mon Jul 15 10:30:25 2019.
Error: 
 Problem: problem with installed package python3-click-7.0-3.fc31.noarch
  - cannot install both python3-click-7.0-3.fc30.noarch and python3-click-7.0-3.fc31.noarch
  - package python3-bodhi-client-4.0.2-2.fc31.noarch requires python3.7dist(click), but none of the providers can be installed
  - problem with installed package python3-bodhi-client-4.0.2-1.fc31.noarch
  - package python3-bodhi-client-4.0.2-1.fc31.noarch requires python3-bodhi = 4.0.2-1.fc31, but none of the providers can be installed
  - cannot install both python3-bodhi-4.0.2-2.fc31.noarch and python3-bodhi-4.0.2-1.fc31.noarch
  - cannot install the best update candidate for package python3-bodhi-4.0.2-1.fc31.noarch
(try to add '--allowerasing' to command line to replace conflicting packages or '--skip-broken' to skip uninstallable packages)

So it seems dnf understands upgrade --best, but install --best that results in an upgrade
confuses it?

Comment 1 Jaroslav Mracek 2019-07-25 11:02:30 UTC
Please could you provide a version of libsolv, and libdnf? And also data stored by --debugsolver option with the command provided as an reproducer?

Comment 2 Zbigniew Jędrzejewski-Szmek 2019-07-25 17:40:45 UTC
I'm still using this machine for various stuff, so the package set was a bit different.
Now I get a slightly different proposal, but the effect is similar (many packages
downgraded):

$ rpm -q dnf python3 libsolv libdnf rpm 
dnf-4.2.7-1.fc31.noarch
python3-3.8.0~b2-1.fc31.x86_64
libsolv-0.7.5-1.fc31.x86_64
libdnf-0.35.1-1.fc31.x86_64
rpm-4.15.0-0.beta.1.fc31.x86_64

$ dnf install --best meson --debugsolver
Last metadata expiration check: 0:51:05 ago on Thu Jul 25 18:44:52 2019.
Dependencies resolved.
====================================================================================================
 Package                          Arch   Version                             Repository        Size
====================================================================================================
Installing:
 meson                            noarch 0.51.1-1.module_f31+4989+5f9b659a   rawhide-modular  832 k
Upgrading:
 python2-nose                     noarch 1.3.7-23.fc31                       group_python-python3.8
                                                                                              244 k
 dnf                              noarch 4.2.7-2.fc31                        rawhide          416 k
 dnf-data                         noarch 4.2.7-2.fc31                        rawhide           49 k
 libdnf                           x86_64 0.35.1-2.fc31                       rawhide          612 k
 python-unversioned-command       noarch 3.7.4-3.fc31                        rawhide           18 k
 python2                          x86_64 2.7.16-3.fc31                       rawhide           46 k
 python2-devel                    x86_64 2.7.16-3.fc31                       rawhide          356 k
 python2-libs                     x86_64 2.7.16-3.fc31                       rawhide          6.0 M
 python2-pytest                   noarch 4.4.1-3.fc31                        rawhide          383 k
 python3-Cython                   x86_64 0.29.12-2.fc31                      rawhide          2.3 M
 python3-bodhi                    noarch 4.0.2-2.fc31                        rawhide           24 k
 python3-cpuinfo                  noarch 5.0.0-2.fc31                        rawhide           44 k
 python3-dnf                      noarch 4.2.7-2.fc31                        rawhide          396 k
 python3-future                   noarch 0.17.1-0.2.20190506git23989c4.fc31  rawhide          731 k
     replacing  python2-future.noarch 0.17.1-0.1.20190313gitc423752.fc31
 python3-hawkey                   x86_64 0.35.1-2.fc31                       rawhide           98 k
 python3-libdnf                   x86_64 0.35.1-2.fc31                       rawhide          728 k
 python3-nose                     noarch 1.3.7-23.fc31                       rawhide          248 k
 python3-pytest                   noarch 4.6.4-2.fc31                        rawhide          1.3 M
 python3-rpm                      x86_64 4.15.0-0.beta.2.fc31                rawhide           96 k
 python3-snowballstemmer          noarch 1.9.0-1.fc31                        rawhide          148 k
 rpm                              x86_64 4.15.0-0.beta.2.fc31                rawhide          504 k
 rpm-build                        x86_64 4.15.0-0.beta.2.fc31                rawhide          118 k
 rpm-build-libs                   x86_64 4.15.0-0.beta.2.fc31                rawhide          101 k
 rpm-libs                         x86_64 4.15.0-0.beta.2.fc31                rawhide          299 k
 rpm-plugin-selinux               x86_64 4.15.0-0.beta.2.fc31                rawhide           22 k
 rpm-plugin-systemd-inhibit       x86_64 4.15.0-0.beta.2.fc31                rawhide           24 k
 rpm-sign-libs                    x86_64 4.15.0-0.beta.2.fc31                rawhide           28 k
Reinstalling:
 python3-GitPython                noarch 2.1.11-3.fc31                       group_python-python3.8
                                                                                              533 k
 gdb-headless                     x86_64 8.3.50.20190702-19.fc31             rawhide          3.7 M
 gobject-introspection-devel      x86_64 1.60.1-3.fc31                       rawhide          1.2 M
 mock                             noarch 1.4.16-2.fc31                       rawhide          168 k
 mpich                            x86_64 3.2.1-12.fc31                       rawhide          1.2 M
 python3-Bottleneck               x86_64 1.2.1-9.fc31                        rawhide          128 k
 python3-apipkg                   noarch 1.5-2.fc31                          rawhide           19 k
 python3-attrs                    noarch 19.1.0-1.fc31                       rawhide           62 k
 python3-audit                    x86_64 3.0-0.10.20190507gitf58ec40.fc31    rawhide           84 k
 python3-babel                    noarch 2.7.0-1.fc31                        rawhide          5.9 M
 python3-cairo                    x86_64 1.18.1-1.fc31                       rawhide           88 k
 python3-cccolutils               x86_64 1.5-11.fc31                         rawhide           20 k
 python3-cffi                     x86_64 1.12.2-2.fc31                       rawhide          237 k
 python3-crypto                   x86_64 2.6.1-26.fc31                       rawhide          462 k
 python3-cryptography             x86_64 2.6.1-1.fc31                        rawhide          518 k
 python3-css-parser               noarch 1.0.4-1.fc31                        rawhide          268 k
 python3-dnf-plugins-core         noarch 4.0.7-1.fc31                        rawhide          155 k
 python3-execnet                  noarch 1.6.0-1.fc31                        rawhide          340 k
 python3-feedparser               noarch 5.2.1-9.fc31                        rawhide          103 k
 python3-gitdb                    noarch 2.0.3-6.fc31                        rawhide          110 k
 python3-gobject-base             x86_64 3.32.2-1.fc31                       rawhide          319 k
 python3-gpg                      x86_64 1.12.0-2.fc31                       rawhide          236 k
 python3-h5py                     x86_64 2.9.0-4.fc31                        rawhide          1.0 M
 python3-html5-parser             x86_64 0.4.7-1.fc31                        rawhide          161 k
 python3-hyperlink                noarch 19.0.0-1.fc31                       rawhide           75 k
 python3-idna                     noarch 2.8-1.fc31                          rawhide           83 k
 python3-imagesize                noarch 1.0.0-5.fc31                        rawhide           15 k
 python3-jinja2                   noarch 2.10.1-1.fc31                       rawhide          520 k
 python3-kitchen                  noarch 1.2.6-1.fc31                        rawhide           90 k
 python3-kiwisolver               x86_64 1.1.0-1.fc31                        rawhide           77 k
 python3-koji                     noarch 1.17.0-7.fc31                       rawhide          309 k
 python3-libcomps                 x86_64 0.1.11-1.fc31                       rawhide           44 k
 python3-librepo                  x86_64 1.10.2-2.fc31                       rawhide           48 k
 python3-libselinux               x86_64 2.9-3.fc31                          rawhide          176 k
 python3-libsemanage              x86_64 2.9-1.fc31                          rawhide           76 k
 python3-magic                    noarch 5.37-2.fc31                         rawhide           19 k
 python3-mako                     noarch 1.0.12-1.fc31                       rawhide          149 k
 python3-markupsafe               x86_64 1.1.1-1.fc31                        rawhide           30 k
 python3-matplotlib               x86_64 3.0.3-2.fc31                        rawhide          2.8 M
 python3-matplotlib-tk            x86_64 3.0.3-2.fc31                        rawhide           48 k
 python3-mechanize                noarch 0.4.2-2.fc31                        rawhide          201 k
 python3-more-itertools           noarch 7.0.0-1.fc31                        rawhide           55 k
 python3-numexpr                  x86_64 2.6.6-3.fc31                        rawhide          196 k
 python3-numpy                    x86_64 1:1.16.4-2.fc31                     rawhide          3.5 M
 python3-numpy-f2py               x86_64 1:1.16.4-2.fc31                     rawhide          209 k
 python3-olefile                  noarch 0.46-3.fc31                         rawhide          4.8 M
 python3-pbr                      noarch 5.1.2-3.fc31                        rawhide          1.1 M
 python3-pillow                   x86_64 6.1.0-1.fc31                        rawhide          659 k
 python3-pip                      noarch 19.1.1-3.fc31                       rawhide          1.6 M
 python3-pluggy                   noarch 0.12.0-1.fc31                       rawhide           39 k
 python3-policycoreutils          noarch 2.9-1.fc31                          rawhide          2.1 M
 python3-psutil                   x86_64 5.6.3-1.fc31                        rawhide          390 k
 python3-py                       noarch 1.8.0-1.fc31                        rawhide          453 k
 python3-pygments                 noarch 2.4.2-1.fc31                        rawhide          1.7 M
 python3-pyparsing                noarch 2.4.0-1.fc31                        rawhide          142 k
 python3-pyqt5-sip                x86_64 4.19.17-1.fc31                      rawhide           93 k
 python3-pyroute2                 noarch 0.5.3-3.fc31                        rawhide          492 k
 python3-pysocks                  noarch 1.7.0-1.fc31                        rawhide           34 k
 python3-pytest-arraydiff         noarch 0.3-1.fc31                          rawhide           22 k
 python3-pytest-astropy           noarch 0.5.0-1.fc31                        rawhide           12 k
 python3-pytest-doctestplus       noarch 0.3.0-1.fc31                        rawhide           30 k
 python3-pytest-forked            noarch 1.0.2-1.fc31                        rawhide           16 k
 python3-pytest-openfiles         noarch 0.3.2-1.fc31                        rawhide           17 k
 python3-pytest-remotedata        noarch 0.3.1-1.fc31                        rawhide           21 k
 python3-pytest-timeout           noarch 1.3.3-3.fc31                        rawhide           23 k
 python3-pytest-xdist             noarch 1.29.0-1.fc31                       rawhide           70 k
 python3-pytz                     noarch 2018.9-1.fc31                       rawhide           48 k
 python3-pyyaml                   x86_64 5.1.1-2.fc31                        rawhide          205 k
 python3-qt5                      x86_64 5.12.3-2.fc31                       rawhide          1.3 M
 python3-qt5-base                 x86_64 5.12.3-2.fc31                       rawhide          3.0 M
 python3-qt5-webkit               x86_64 5.12.3-2.fc31                       rawhide          130 k
 python3-regex                    x86_64 2019.05.25-1.fc31                   rawhide          338 k
 python3-requests                 noarch 2.22.0-2.fc31                       rawhide          115 k
 python3-rpkg                     noarch 1.58-5.fc31                         rawhide          164 k
 python3-setuptools               noarch 41.0.1-3.fc31                       rawhide          578 k
 python3-smmap                    noarch 2.0.3-6.fc31                        rawhide           47 k
 python3-sphinx                   noarch 1:2.1.2-1.fc31                      rawhide          2.0 M
 python3-sphinx-theme-alabaster   noarch 0.7.12-4.fc31                       rawhide           24 k
 python3-sphinxcontrib-applehelp  noarch 1.0.1-1.fc31                        rawhide           33 k
 python3-sphinxcontrib-devhelp    noarch 1.0.1-1.fc31                        rawhide           28 k
 python3-sphinxcontrib-htmlhelp   noarch 1.0.1-1.fc31                        rawhide           35 k
 python3-sphinxcontrib-jsmath     noarch 1.0.1-1.fc31                        rawhide           15 k
 python3-sphinxcontrib-qthelp     noarch 1.0.2-1.fc31                        rawhide           32 k
 python3-sphinxcontrib-serializinghtml
                                  noarch 1.1.3-1.fc31                        rawhide           30 k
 python3-stomper                  noarch 0.4.3-1.fc31                        rawhide           49 k
 python3-typed_ast                x86_64 1.4.0-1.fc31                        rawhide          180 k
 python3-urllib3                  noarch 1.25.3-3.fc31                       rawhide          203 k
 python3-wrapt                    x86_64 1.11.2-1.fc31                       rawhide           52 k
Installing dependencies:
 python3-importlib-metadata       noarch 0.18-1.fc31                         rawhide           38 k
 python3-wcwidth                  noarch 0.1.7-10.fc31                       rawhide           30 k
 python3-zipp                     noarch 0.5.1-1.fc31                        rawhide           13 k
Downgrading:
 autojump                         noarch 22.5.1-5.fc30                       rawhide           38 k
 python3                          x86_64 3.7.4-3.fc31                        rawhide           38 k
 python3-asn1crypto               noarch 0.24.0-6.fc30                       rawhide          180 k
 python3-astroid                  noarch 2.2.5-2.fc31                        rawhide          301 k
 python3-atomicwrites             noarch 1.3.0-1.fc30                        rawhide           22 k
 python3-bugzilla                 noarch 2.2.0-3.fc30                        rawhide           89 k
 python3-chardet                  noarch 3.0.4-9.fc30                        rawhide          191 k
 python3-click                    noarch 7.0-3.fc30                          rawhide          146 k
 python3-configobj                noarch 5.0.6-15.fc30                       rawhide           63 k
 python3-cssutils                 noarch 1.0.2-2.fc30                        rawhide          285 k
 python3-cycler                   noarch 0.10.0-9.fc30                       rawhide           19 k
 python3-dateutil                 noarch 1:2.8.0-1.fc30                      rawhide          290 k
 python3-dbus                     x86_64 1.2.8-5.fc30                        rawhide          127 k
 python3-devel                    x86_64 3.7.4-3.fc31                        rawhide          204 k
 python3-distro                   noarch 1.4.0-1.fc30                        rawhide           35 k
 python3-dns                      noarch 1.15.0-10.fc30                      rawhide          241 k
 python3-docutils                 noarch 0.14-6.fc30                         rawhide          1.6 M
 python3-enchant                  noarch 2.0.0-7.fc30                        rawhide          107 k
 python3-html5lib                 noarch 1:1.0.1-3.fc30                      rawhide          213 k
 python3-kerberos                 x86_64 1.3.0-4.fc30                        rawhide           30 k
 python3-lazy-object-proxy        x86_64 1.3.1-9.fc30                        rawhide           32 k
 python3-libs                     x86_64 3.7.4-3.fc31                        rawhide          7.3 M
 python3-lockfile                 noarch 1:0.11.0-13.fc30                    rawhide           35 k
 python3-lxml                     x86_64 4.2.5-2.fc30                        rawhide          1.4 M
 python3-mock                     noarch 2.0.0-13.fc30                       rawhide          130 k
 python3-msgpack                  x86_64 0.6.1-2.fc30                        rawhide           90 k
 python3-munch                    noarch 2.3.2-3.fc30                        rawhide           21 k
 python3-netifaces                x86_64 0.10.6-6.fc30                       rawhide           21 k
 python3-odfpy                    noarch 1.3.4-7.fc30                        rawhide          226 k
 python3-openidc-client           noarch 0.6.0-4.20180605gitcd8d91c.fc30     rawhide           24 k
 python3-packaging                noarch 19.0-1.fc30                         rawhide           49 k
 python3-ply                      noarch 3.11-2.fc30                         rawhide          107 k
 python3-pyOpenSSL                noarch 19.0.0-1.fc30                       rawhide           95 k
 python3-pycparser                noarch 2.14-18.fc31                        rawhide          146 k
 python3-pycurl                   x86_64 7.43.0.2-6.fc30                     rawhide          218 k
 python3-pytest-runner            noarch 4.0-4.fc30                          rawhide           18 k
 python3-pyusb                    noarch 1.0.2-2.fc30                        rawhide           85 k
 python3-requests-kerberos        noarch 0.12.0-5.fc30                       rawhide           26 k
 python3-scipy                    x86_64 1.2.1-2.fc31                        rawhide           15 M
 python3-setools                  x86_64 4.1.1-14.fc30                       rawhide          437 k
 python3-six                      noarch 1.12.0-1.fc30                       rawhide           35 k
 python3-tkinter                  x86_64 3.7.4-3.fc31                        rawhide          323 k
 python3-webencodings             noarch 0.5.1-7.fc30                        rawhide           26 k
 python3-yubico                   noarch 1.3.2-13.fc30                       rawhide           61 k
 unbound-libs                     x86_64 1.8.3-4.fc30                        rawhide          465 k

Transaction Summary
====================================================================================================
Install     4 Packages
Upgrade    27 Packages
Downgrade  45 Packages
^C

I'll attach the debugdata/ dir.

Comment 3 Zbigniew Jędrzejewski-Szmek 2019-07-26 08:22:06 UTC
https://zbyszek.fedorapeople.org/debugdata-bz1729910.tar.zst
(doesn't fit as bugzilla attachement ;().

Comment 4 Ben Cotton 2019-08-13 16:54:31 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 5 Ben Cotton 2019-08-13 18:54:14 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 6 Jaroslav Mracek 2019-09-06 08:10:04 UTC
Recently we change intarnal parameters for solver that could change the behavior even for this report (https://github.com/rpm-software-management/dnf/pull/1474). The upstream version is available in our nightly repository (dnf copr enable rpmsoftwaremanagement/dnf-nightly). Please could you test it and provide a feedback related to the reported issue?

Comment 7 Zbigniew Jędrzejewski-Szmek 2019-09-06 09:08:16 UTC
When I redo this command, dnf just proposes to install meson-0.51.2-1.module_f32+6078+ed70ae94 without
any additional deps. (dnf-4.2.9-2.fc32.noarch from rawhide). In particular, the python3.8 copr
is now older than rawhide, so the setup changes significantly. I can't reproduce the original issue.

Comment 8 Jaroslav Mracek 2019-09-27 17:21:45 UTC
I believe that the issue is fixed in dnf-4.2.9-3.fc32,  dnf-4.2.9-3.fc31,  dnf-4.2.8-2.fc30,  dnf-4.2.5-5.fc29.


Note You need to log in before you can comment on or make changes to this bug.